import logging
import os

from datetime import datetime

DEFAULT_PROJECT = "dragen-results-utils"

DEFAULT_TIMESTAMP = str(datetime.today().strftime("%Y-%m-%d-%H%M%S"))

DEFAULT_OUTDIR_BASE = os.path.join(
    "/tmp/",
    os.getenv("USER"),
    DEFAULT_PROJECT,
)

DEFAULT_LOGGING_FORMAT = (
    "%(levelname)s : %(asctime)s : %(pathname)s : %(lineno)d : %(message)s"
)

DEFAULT_LOGGING_LEVEL = logging.INFO

DEFAULT_VERBOSE = False

DEFAULT_VCF_CHROM_INDEX = 0
DEFAULT_VCF_POS_INDEX = 1
DEFAULT_VCF_REF_INDEX = 3
DEFAULT_VCF_ALT_INDEX = 4
DEFAULT_VCF_QUAL_INDEX = 5
DEFAULT_VCF_FILTER_INDEX = 6
